{% extends 'shared/basepage.html.twig' %}

{% block content %}

<ul id="systems">Systems:
  {% for system in systems %}
    <li data-id="{{system.id}}">
        <span class="title">{{ system.title }}</span>
        <button class="edit-btn">Edit</button>
        <button class="delete-btn">Delete</button>
    </li>
  {% endfor %}
</ul>

<button id="add-btn">Add system</button>

<script src="/assets/dist/js/systems.js" type="module"></script>

{% if create %}
<script>
window.onload = function() {
    document.getElementById('add-btn').click();
};
</script>
{% endif %}

{% endblock %}
